com.rscja.team.mtk.utility

## Class FileUtils

- java.lang.Object
- - com.rscja.team.mtk.utility.FileUtils

-     public class FileUtils
      extends java.lang.Object

  Created by Administrator on 2017-5-22.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDR`
    `static java.lang.String` | `filePath`
    `static java.lang.String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearXmlList()`
    `static java.lang.String` | `readFile(java.lang.String path)` 读取文件内容
    `static java.util.ArrayList<java.lang.String[]>` | `readXmlList()`
    `static void` | `saveXmlList(java.util.List<java.lang.String[]> data)`
    `static void` | `writeFile(java.lang.String fileName, java.lang.String data, boolean append)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDR

          public static java.lang.String ADDR

    - #### NAME

          public static java.lang.String NAME

    - #### filePath

          public static java.lang.String filePath

  - ### Constructor Detail

    - #### FileUtils

          public FileUtils()

  - ### Method Detail

    - #### saveXmlList

          public static void saveXmlList(java.util.List<java.lang.String[]> data)

    - #### readXmlList

          public static java.util.ArrayList<java.lang.String[]> readXmlList()

    - #### clearXmlList

          public static void clearXmlList()

    - #### writeFile

          public static void writeFile(java.lang.String fileName,
                                       java.lang.String data,
                                       boolean append)

    - #### readFile

          public static java.lang.String readFile(java.lang.String path)

      读取文件内容
      Parameters:
        `path` -
      Returns: